---
name: Bug Report
about: Report a problem or unexpected behavior
labels: possible-bug
assignees: checktheroads
---

<!-- Please provide a general summary of the issue in the Title. -->

# Bug Description

<!-- A clear and concise description of the bug. -->

# Expected behavior

<!-- A clear and concise description of what you expected to happen. -->

# Steps to Reproduce

<!-- Provide steps necessary to reproduce this issue. -->

## Local Configurations

<!-- If possible, please a link to a live example and the relevant sections of your hyperglass.yaml, commands.yaml, or devices.yaml in a code block. -->

```
<configs>
```

## Logs

<!-- If an error occurred, please paste the relevant error message(s) in the below code block. -->

```
<logs>
```

# Possible Solution

<!-- If you think you know what would fix this, please share your ideas. -->

# Environment

## Server

<!-- Please paste the output from `hyperglass system-info` below: (available in 1.0.0-beta.52+) -->

<!-- If, for some reason, that doesn't work, please include the following:
 - OS:
 - Python Version:
 - hyperglass Version:
-->

## Client

- OS & Version: <!-- (e.g. Windows 10, macOS 10.15, Ubuntu Linux 18.04) -->
- Browser: <!-- (e.g. Chrome, Safari, Firefox, etc.) -->

### Smartphone Details (if applicable)

- Device: <!-- (e.g. iPhone, Samsung) -->
- OS: <!-- (e.g. iOS 13.1, Android 11) -->
- Browser: <!-- (e.g. Safari, Chrome) -->
